Package org.globus.myproxy

# Class InitParams

java.lang.Object
org.globus.myproxy.Params
org.globus.myproxy.InitParams

All Implemented Interfaces:
  `MyProxyConstants`

Direct Known Subclasses:
  `StoreParams`

public class InitParams extends Params
Holds the parameters for the `put` operation.

## Field Summary

### Fields inherited from class org.globus.myproxy.Params

`lifetime, passphrase, username`

### Fields inherited from interface org.globus.myproxy.MyProxyConstants

`COMMAND, CRED_DESC, CRED_NAME, CRED_RETRIEVER_TRUSTED, CRLF, DEFAULT_LIFETIME, LIFETIME, MIN_PASSWORD_LENGTH, MYPROXY_PROTOCOL_VERSION, NEW_PHRASE, PASSPHRASE, RENEWER, RETRIEVER, TRUSTROOTS, USERNAME, VERSION, VOMSES, VONAME`

## Constructor Summary

Constructors
Constructor
Description
`InitParams()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCredentialDescription()`
`String`
`getCredentialName()`
`String`
`getPassphrase()`
If the passpharse is not set returns an empty string.
`String`
`getRenewer()`
`String`
`getRetriever()`
`String`
`getTrustedRetriever()`
`protected String`
`makeRequest(boolean includePassword)`
Serializes the parameters into a MyProxy request.
`void`
`setCredentialDescription(String description)`
`void`
`setCredentialName(String credentialName)`
`void`
`setRenewer(String renewer)`
`void`
`setRetriever(String retriever)`
`void`
`setTrustedRetriever(String trusted_retriever)`

### Methods inherited from class org.globus.myproxy.Params

`add, checkPassphrase, getLifetime, getUserName, makeRequest, setCommand, setLifetime, setPassphrase, setUserName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InitParams

public InitParams()

## Method Details

### setCredentialName

public void setCredentialName(String credentialName)

### getCredentialName

public String getCredentialName()

### setCredentialDescription

public void setCredentialDescription(String description)

### getCredentialDescription

public String getCredentialDescription()

### setRetriever

public void setRetriever(String retriever)

### getRetriever

public String getRetriever()

### setRenewer

public void setRenewer(String renewer)

### getRenewer

public String getRenewer()

### setTrustedRetriever

public void setTrustedRetriever(String trusted_retriever)

### getTrustedRetriever

public String getTrustedRetriever()

### getPassphrase

public String getPassphrase()
If the passpharse is not set returns an empty string.

Overrides:
  `getPassphrase` in class `Params`

### makeRequest

protected String makeRequest(boolean includePassword)
Description copied from class: `Params`
Serializes the parameters into a MyProxy request. Subclasses should overwrite this function and append the custom parameters to the output of this function.

Overrides:
  `makeRequest` in class `Params`